from flask import Blueprint, redirect, request, url_for
from flask_login import current_user
from app import db


bp = Blueprint('auth', __name__)


@bp.before_app_request
def before_request():
    if not current_user.is_authenticated:
        return

    current_user.ping()
    db.session.commit()

    if (
        not current_user.confirmed
        and request.endpoint
        and request.blueprint != 'auth'
        and request.endpoint != 'static'
        and request.endpoint != 'main.accept_terms_of_use'
    ):
        return redirect(url_for('auth.unconfirmed'))


from . import routes
